Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.SplitterPaneScrolling=function(){
};
Telerik.Web.UI.SplitterPaneScrolling.prototype={Both:1,X:2,Y:3,None:4};
Telerik.Web.UI.SplitterPaneScrolling.registerEnum("Telerik.Web.UI.SplitterPaneScrolling",false);
Telerik.Web.UI.SplitterResizeMode=function(){
};
Telerik.Web.UI.SplitterResizeMode.prototype={AdjacentPane:1,Proportional:2,EndPane:3};
Telerik.Web.UI.SplitterResizeMode.registerEnum("Telerik.Web.UI.SplitterResizeMode",false);
Telerik.Web.UI.SplitterDirection=function(){
};
Telerik.Web.UI.SplitterDirection.prototype={Forward:1,Backward:2};
Telerik.Web.UI.SplitterDirection.registerEnum("Telerik.Web.UI.SplitterDirection",false);
Telerik.Web.UI.SplitterBeforeResizeEventArgs=function(_1,_2){
Telerik.Web.UI.SplitterBeforeResizeEventArgs.initializeBase(this);
this._newWidth=_1;
this._newHeight=_2;
};
Telerik.Web.UI.SplitterBeforeResizeEventArgs.prototype={get_newWidth:function(){
return this._newWidth;
},get_newHeight:function(){
return this._newHeight;
}};
Telerik.Web.UI.SplitterBeforeResizeEventArgs.registerClass("Telerik.Web.UI.SplitterBeforeResizeEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.SplitterResizedEventArgs=function(_3,_4){
Telerik.Web.UI.SplitterResizedEventArgs.initializeBase(this);
this._oldWidth=_3;
this._oldHeight=_4;
};
Telerik.Web.UI.SplitterResizedEventArgs.prototype={get_oldWidth:function(){
return this._oldWidth;
},get_oldHeight:function(){
return this._oldHeight;
}};
Telerik.Web.UI.SplitterResizedEventArgs.registerClass("Telerik.Web.UI.SplitterResizedEventArgs",Sys.EventArgs);
Telerik.Web.UI.RadSplitter=function(_5){
Telerik.Web.UI.RadSplitter.initializeBase(this,[_5]);
this._fullScreenMode=false;
this._visibleDuringInit=true;
this._liveResize=false;
this._resizeWithBrowserWindow=true;
this._resizeWithParentPane=true;
this._orientation=Telerik.Web.UI.Orientation.Vertical;
this._resizeMode=Telerik.Web.UI.SplitterResizeMode.AdjacentPane;
this._borderSize=1;
this._panesBorderSize=1;
this._splitBarSize=null;
this._width="400px";
this._height="400px";
this._heightOffset=0;
this._resizeHandlerAttached=false;
this._panes=[];
this._panesByIndex=[];
this._panesById=[];
this._splitBars=[];
this._splitBarsByAbsIndex=[];
this._splitBarsById=[];
this._splitBarsByIndex=[];
this._initialSizeApplied=false;
this._splitBarsSizeCalculated=false;
this._containerElement=$get("RAD_SPLITTER_"+this.get_id());
var _6=$telerik.getViewPortSize();
this._initialWindowWidth=_6.width;
this._initialWindowHeight=_6.height;
this._cancelInterval=0;
this._lastResizedValue=0;
this._resizedValue=0;
this.IsNested=this.isNested;
this.GetMinWidth=this.getMinWidth;
this.GetMaxWidth=this.getMaxWidth;
this.GetMinHeight=this.getMinHeight;
this.GetMaxHeight=this.getMaxHeight;
this.GetInnerWidth=this.getInnerWidth;
this.GetInnerHeight=this.getInnerHeight;
this.GetPanes=this.getPanes;
this.Resize=this.resize;
this.GetEndPane=this.getEndPane;
this.GetStartPane=this.getStartPane;
this.IsVertical=this.isVertical;
this.GetPaneByIndex=this.getPaneByIndex;
this.GetPaneById=this.getPaneById;
this.GetSplitBarByIndex=this.getSplitBarByIndex;
this.GetSplitBarById=this.getSplitBarById;
this.GetSplitBars=this.getSplitBars;
this.GetContainerElement=this.getContainerElement;
};
Telerik.Web.UI.RadSplitter.prototype={endUpdate:function(){
if(this._width.toString().indexOf("px")>-1){
this._width=parseInt(this._width,10);
}
if(this._height.toString().indexOf("px")>-1){
this._height=parseInt(this._height,10);
}
Telerik.Web.UI.RadSplitter.callBaseMethod(this,"endUpdate");
},initialize:function(){
Telerik.Web.UI.RadSplitter.callBaseMethod(this,"initialize");
this._originalWidth=this.get_width();
this._originalHeight=this.get_height();
if(this.isNested()&&this._resizeWithParentPane){
this.get_parent()._childSplitter=this;
}
if(this._fullScreenMode){
try{
document.body.style.height="100%";
document.forms[0].style.height="100%";
document.documentElement.style.height="100%";
document.body.style.width="100%";
document.forms[0].style.width="100%";
document.documentElement.style.width="100%";
document.body.style.margin="0px";
}
catch(e){
}
}
this._borderSize=(this.isNested())?0:this._borderSize;
this._appLoadHandler=Function.createDelegate(this,this._appLoadHandler);
Sys.Application.add_load(this._appLoadHandler);
},dispose:function(){
if(this._resizeHandlerAttached){
}
Telerik.Web.UI.RadSplitter.callBaseMethod(this,"dispose");
},set_resizeMode:function(_7){
this._resizeMode=_7;
},get_resizeMode:function(){
return this._resizeMode;
},set_liveResize:function(_8){
this._liveResize=_8;
},get_liveResize:function(){
return this._liveResize;
},set_heightOffset:function(_9){
this._heightOffset=_9;
},get_heightOffset:function(){
return this._heightOffset;
},set_width:function(_a){
if(_a.toString().indexOf("px")>-1){
_a=parseInt(_a,10);
}else{
if(_a.toString().indexOf("%")>-1){
_a=this._calculatePercentWidth(_a);
}
}
if(isNaN(_a)){
return;
}
if(_a==this._width){
return;
}
this.resize(_a,null);
},get_width:function(){
return this._width;
},set_height:function(_b){
if(_b.toString().indexOf("px")>-1){
_b=parseInt(_b,10);
}else{
if(_b.toString().indexOf("%")>-1){
_b=this._calculatePercentHeight(_b);
}
}
if(_b==this._height){
return;
}
if(isNaN(_b)){
return;
}
this.resize(null,_b);
},get_height:function(){
return this._height;
},get_parent:function(){
return this._parent;
},add_loaded:function(_c){
this.get_events().addHandler("loaded",_c);
},remove_loaded:function(_d){
this.get_events().removeHandler("loaded",_d);
},add_beforeResize:function(_e){
this.get_events().addHandler("beforeResize",_e);
},remove_beforeResize:function(_f){
this.get_events().removeHandler("beforeResize",_f);
},add_resized:function(_10){
this.get_events().addHandler("resized",_10);
},remove_resized:function(_11){
this.get_events().removeHandler("resized",_11);
},getMinWidth:function(_12,_13){
var _14=this._getMinMaxSize(_12,_13,true,true);
return _14;
},getMaxWidth:function(_15,_16){
var _17=this._getMinMaxSize(_15,_16,false,true);
return _17;
},getMinHeight:function(_18,_19){
var _1a=this._getMinMaxSize(_18,_19,true,false);
return _1a;
},getMaxHeight:function(_1b,_1c){
var _1d=this._getMinMaxSize(_1b,_1c,false,false);
return _1d;
},isNested:function(){
return (this.get_parent()!=null);
},getInnerWidth:function(){
return this.get_width()-this._getBordersDiff();
},getInnerHeight:function(){
return this.get_height()-this._getBordersDiff();
},getPanes:function(){
return this._panes;
},resize:function(_1e,_1f,_20){
if(!this._initialSizeApplied){
this._calculateInitialSize();
}
if(!_20){
var _21=new Telerik.Web.UI.SplitterBeforeResizeEventArgs(_1e,_1f);
this.raiseEvent("beforeResize",_21);
if(_21.get_cancel()){
return false;
}
}
var _22=false;
var _23=false;
var _24=0;
var _25=this.get_width();
var _26=this.get_height();
if(_1e!=null&&_1e!=_25){
var _27=_1e-_25;
this._setOuterWidth(_1e);
this._width=_1e;
if(this.isVertical()){
_24=_27;
_22=true;
}else{
_23=true;
}
}
if(_1f!=null&&_1f!=_26){
var _28=_1f-this.get_height();
this._setOuterHeight(_1f);
this._height=_1f;
if(!this.isVertical()){
_24=_28;
_22=true;
}else{
_23=true;
}
}
if(_23){
for(var i=0,_2a=this._panes.length;i<_2a;i++){
var _2b=this._panes[i];
if(_2b.get_collapsed()){
continue;
}
var _2c=_2b.get_width();
var _2d=_2b.get_height();
if(this.isVertical()){
_2b.set_height(_1f);
}else{
_2b.set_width(_1e);
}
$telerik.repaintChildren(_2b);
_2b.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_2c,_2d));
}
}
if(_22){
if(this._containsInitialFreeSizedPanes()){
var _2e=this._getInitialFreeSizedPanes();
var _2f=_2e.length;
var _30=parseInt(_24/_2f,10);
var _31=0;
for(var i=0,_2a=_2e.length;i<_2a;i++){
var _2b=_2e[i];
var _32=(_30>0)?_2b._getAvailIncreaseDelta():_2b._getAvailDecreaseDelta();
var _33=_30;
if(_32<Math.abs(_30)){
_33=_32*((_30>0)?1:-1);
_31+=_30-_33;
}
var _34=_2b.getVarSize()+_33;
var _2d=_2b.get_height();
var _2c=_2b.get_width();
_2b.setVarSize(_34);
if(this._initializedInternal&&!_20){
$telerik.repaintChildren(_2b);
_2b.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_2c,_2d));
}
}
this._fixPanesRounding(_2e);
if(_31!=0){
_31*=-1;
this._resizeProportional(_31,null,Telerik.Web.UI.SplitterDirection.Forward);
}
}else{
_24*=-1;
this._resizeProportional(_24,null,Telerik.Web.UI.SplitterDirection.Forward);
}
}
if(!_20){
this.raiseEvent("resized",new Telerik.Web.UI.SplitterResizedEventArgs(_25,_26));
}
return true;
},getEndPane:function(){
return this.getPaneByIndex(this._panes.length-1);
},getStartPane:function(){
return this.getPaneByIndex(0);
},isVertical:function(){
return (this._orientation==Telerik.Web.UI.Orientation.Vertical);
},getPaneByIndex:function(_35){
return this._panesByIndex[_35];
},getPaneById:function(_36){
return this._panesById[_36];
},getSplitBarByIndex:function(_37){
return this._splitBarsByIndex[_37];
},getSplitBarById:function(_38){
return this._splitBarsById[_38];
},getSplitBars:function(){
return this._splitBars;
},getContainerElement:function(){
return this._containerElement;
},_getSplitBarByAbsIndex:function(_39){
return this._splitBarsByAbsIndex[_39];
},_resizeAdjacentPane:function(_3a,_3b,_3c){
if(_3a==0){
return;
}
var _3d=this._getAvailAdjacentPane(_3b._indexInPanes,_3c);
if(_3d==null){
return false;
}
if(!this._isCollapseMode&&!this._isExpandMode){
var _3e=new Telerik.Web.UI.PaneBeforeResizeEventArgs(_3a,_3c);
_3b.raiseEvent("beforeResize",_3e);
if(_3e.get_cancel()){
return false;
}
var _3f=new Telerik.Web.UI.PaneBeforeResizeEventArgs(_3a*-1,_3c);
_3d.raiseEvent("beforeResize",_3f);
if(_3f.get_cancel()){
return false;
}
}
var _40=_3b.get_width();
var _41=_3b.get_height();
var _42=_3d.get_width();
var _43=_3d.get_height();
var _44=_3b.getVarSize()+_3a;
var _45=_3d.getVarSize()-_3a;
_3b.setVarSize(_44);
_3d.setVarSize(_45);
if(!this._isCollapseMode&&!this._isExpandMode){
$telerik.repaintChildren(_3b);
_3b.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_40,_41));
}
$telerik.repaintChildren(_3d);
_3d.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_42,_43));
return true;
},_resizeEndPane:function(_46,_47,_48){
if(_46==0){
return;
}
var _49=(_48==Telerik.Web.UI.SplitterDirection.Forward)?this.getEndPane():this.getStartPane();
if(!this._isCollapseMode&&!this._isExpandMode){
var _4a=new Telerik.Web.UI.PaneBeforeResizeEventArgs(_46,_48);
_47.raiseEvent("beforeResize",_4a);
if(_4a.get_cancel()){
return false;
}
var _4b=new Telerik.Web.UI.PaneBeforeResizeEventArgs(_46*-1,_48);
_49.raiseEvent("beforeResize",_4b);
if(_4b.get_cancel()){
return false;
}
}
var _4c=_47.get_width();
var _4d=_47.get_height();
var _4e=_49.get_width();
var _4f=_49.get_height();
var _50=_47.getVarSize()+_46;
_47.setVarSize(_50);
var _51=_49.getVarSize()-_46;
_49.setVarSize(_51);
if(!this._isCollapseMode&&!this._isExpandMode){
$telerik.repaintChildren(_47);
_47.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_4c,_4d));
}
$telerik.repaintChildren(_49);
_49.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_4e,_4f));
return true;
},_resizeProportional:function(_52,_53,_54){
if(_52==0){
return;
}
var _55=(this._isCollapseMode||this._isExpandMode)?false:true;
if(_55&&_53!=null){
var _56=new Telerik.Web.UI.PaneBeforeResizeEventArgs(_52,_54);
_53.raiseEvent("beforeResize",_56);
if(_56.get_cancel()){
return;
}
}
var _57=Math.abs(_52);
var _58=0;
var _59=(_52>0);
var _5a=(_53!=null)?((_54==Telerik.Web.UI.SplitterDirection.Forward)?_53._indexInPanes+1:_53._indexInPanes-1):0;
var _5b=[];
if(_54==Telerik.Web.UI.SplitterDirection.Forward){
for(var i=_5a,_5d=this._panes.length;i<_5d;i++){
var _5e=this.getPaneByIndex(i);
_5b[_5b.length]=_5e;
_58+=_5e.getVarSize();
}
}else{
for(var i=_5a;i>=0;i--){
var _5e=this.getPaneByIndex(i);
_5b[_5b.length]=_5e;
_58+=_5e.getVarSize();
}
}
if(_5b.length<2&&_53!=null){
this._resizeAdjacentPane(_52,_53,_54);
return;
}
var _5f=[];
do{
var _60=_58;
var _61=0;
for(var i=0,_5d=_5b.length;i<_5d;i++){
if(_5f[i]){
continue;
}
var _62=_5b[i];
if(_62.get_collapsed()||_62.isLocked()){
_5f[i]=true;
continue;
}
var _63=_62.getVarSize();
var _64=(_59)?_62._getAvailDecreaseDelta():_62._getAvailIncreaseDelta();
var _65=_63/_60;
var _66=_57*_65;
if((_66-_64)>0){
_5f[i]=true;
}
var _67=Math.min(_66,_64);
if(_59){
_67*=-1;
}
var _68=_63+_67;
if(_55){
var _69=new Telerik.Web.UI.PaneBeforeResizeEventArgs(parseInt(_68),_54);
_62.raiseEvent("beforeResize",_69);
if(_69.get_cancel()){
return false;
}
}
_61+=_66-Math.abs(_67);
var _6a=_62.get_width();
var _6b=_62.get_height();
_62.setVarSize(_68);
$telerik.repaintChildren(_62);
_62.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_6a,_6b));
_58+=(_5f[i])?(-1)*_62.getVarSize()+_67:_67;
}
_57=_61;
}while(_61!=0);
if(_53!=null){
var _6c=_53.get_width();
var _6d=_53.get_height();
_53.setVarSize(_53.getVarSize()+_52);
if(_55){
$telerik.repaintChildren(_53);
_53.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_6c,_6d));
}
}
this._fixPanesRounding(_5b);
},_fixPanesRounding:function(_6e){
if(!_6e){
_6e=this.getPanes();
}
var _6f=(this.isVertical())?this._getPanesAvailWidth():this._getPanesAvailHeight();
var _70=this.getPanes();
var _71=0;
for(var i=0,_73=_70.length;i<_73;i++){
var _74=_70[i].getVarSize();
_71+=_74;
}
var _75=_6f-_71;
if(_75!=0){
for(var i=0,_76=_6e.length;i<_76;i++){
var _77=_6e[i];
if(_77.get_collapsed()||_77.isLocked()){
continue;
}
var _78=new Telerik.Web.UI.PaneBeforeResizeEventArgs(_75,Telerik.Web.UI.SplitterDirection.Forward);
_77.raiseEvent("beforeResize",_78);
if(_78.get_cancel()){
continue;
}
var _79=_77.get_width();
var _7a=_77.get_height();
var _7b=false;
if(_75>0){
if(_77._getAvailIncreaseDelta()>0){
_7b=true;
}
}else{
if(_77._getAvailDecreaseDelta()>0){
_7b=true;
}
}
if(_7b){
_77.setVarSize(_77.getVarSize()+_75);
$telerik.repaintChildren(_77);
_77.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_79,_7a));
break;
}
}
}
},_addPane:function(_7c){
this._panes[this._panes.length]=_7c;
this._panesByIndex[_7c._indexInPanes]=_7c;
this._panesById[_7c.get_id()]=_7c;
},_addSplitBar:function(_7d){
this._splitBars[this._splitBars.length]=_7d;
this._splitBarsByIndex[_7d._indexInSplitBars]=_7d;
this._splitBarsById[_7d.get_id()]=_7d;
this._splitBarsByAbsIndex[_7d.get_index()]=_7d;
},_setOuterWidth:function(_7e){
this._width=_7e;
$telerik.setOuterWidth(this.getContainerElement(),_7e);
},_setOuterHeight:function(_7f){
this._height=_7f;
$telerik.setOuterHeight(this.getContainerElement(),_7f);
},_setInnerWidth:function(_80){
this._setOuterWidth(_80+this._getBordersDiff());
},_setInnerHeight:function(_81){
this._setOuterHeight(_81+this._getBordersDiff());
},_arePanesFixedSize:function(){
var _82=this.getPanes();
for(var i=0,_84=_82.length;i<_84;i++){
if(!_82[i]._isInitialFixedSize()){
return false;
}
}
return true;
},_containsFreeSizedPanes:function(){
var _85=this.getPanes();
for(var i=0,_87=_85.length;i<_87;i++){
if(_85[i]._isFreeSize()){
return true;
}
}
return false;
},_containsInitialFreeSizedPanes:function(){
var _88=this.getPanes();
for(var i=0,_8a=_88.length;i<_8a;i++){
if(_88[i]._isInitialFreeSize()){
return true;
}
}
return false;
},_containsInitialPercentSizedPanes:function(){
var _8b=this.getPanes();
for(var i=0,_8d=_8b.length;i<_8d;i++){
if(_8b[i]._isInitialPercentSize()){
return true;
}
}
return false;
},_windowResizeHandler:function(){
if($telerik.isFirefox){
this._handlePageResize();
}else{
this._resizedValue++;
if(!this._cancelInterval){
var _8e=this;
this._cancelInterval=window.setInterval(function(){
try{
if(_8e._resizedValue>_8e._lastResizedValue){
_8e._lastResizedValue=_8e._resizedValue+1;
return;
}
window.clearInterval(_8e._cancelInterval);
_8e._cancelInterval=0;
_8e._handlePageResize();
}
catch(ex){
}
},200);
}
}
},_handlePageResize:function(_8f){
if(!this._isVisible()){
return;
}
if(!this._initialSizeApplied){
this._calculateInitialSize();
}
var _90=$telerik.getViewPortSize();
var _91=_90.width;
var _92=_90.height;
if(!_8f&&this._initialWindowHeight==_92&&this._initialWindowWidth==_91){
return;
}
this._initialWindowHeight=_92;
this._initialWindowWidth=_91;
var _93=null;
if(this._originalWidth.toString().indexOf("%")>-1){
var _94=this._calculatePercentWidth();
if(_94!=this._width){
_93=_94;
}
}
var _95=null;
if(this._originalHeight.toString().indexOf("%")>-1){
var _96=this._calculatePercentHeight();
if(_96!=this._height){
_95=_96;
}
}
this.resize(_93,_95);
},_setSize:function(){
if(this._arePanesFixedSize()&&!this._containsInitialFreeSizedPanes()){
var _97=this._getPanesVarSize();
var _98=this._getSplitBarsSize();
var _99=this._getBordersSize();
var _9a=_97+_98+_99;
if(this.isVertical()){
this._changeOriginalWidth(_9a);
this._setOuterWidth(_9a);
}else{
this._changeOriginalHeight(_9a);
this._setOuterHeight(_9a);
}
}
var _9b=this.isVertical();
var _9c=this.getPanes();
if(this._originalWidth.toString().indexOf("%")>-1){
var _9d=this._calculatePercentWidth();
this._setInnerWidth(_9d);
if(!_9b){
var _9e=this.getInnerWidth();
for(var i=0,_a0=_9c.length;i<_a0;i++){
_9c[i].set_width(_9e);
}
}
}
if(this._originalHeight.toString().indexOf("%")>-1){
var _a1=this._calculatePercentHeight();
this._setOuterHeight(_a1);
if(_9b){
var _a2=this.getInnerHeight();
for(var i=0,_a0=_9c.length;i<_a0;i++){
_9c[i].set_height(_a2);
}
}
}
},_fixSplitterActualSize:function(){
if(this._originalHeight.toString().indexOf("%")==-1){
return;
}
var _a3=this.getContainerElement();
if(parseInt(_a3.style.height)==this._height){
return;
}
this._setOuterHeight(this._height);
},_calculatePercentWidth:function(_a4){
return this._calculatePercentSize(_a4,null).width;
},_calculatePercentHeight:function(_a5){
return this._calculatePercentSize(null,_a5).height;
},_calculatePercentSize:function(_a6,_a7){
if(!_a6){
_a6=this._originalWidth;
}
if(!_a7){
_a7=this._originalHeight;
}
var _a8=this.get_element();
_a8.style.display="none";
var _a9=this.getPanes();
for(var i=0,_ab=_a9.length;i<_ab;i++){
_a9[i]._hideContent();
}
var _ac=document.createElement("DIV");
_ac.style.height=_a7;
_ac.style.width=_a6;
_ac=_a8.parentNode.appendChild(_ac);
if(document.documentElement){
var _ad=document.documentElement.style.overflowX;
document.documentElement.style.overflowX="hidden";
}
var _ae=_ac.offsetHeight;
var _af=_ac.offsetWidth;
if(document.documentElement){
document.documentElement.style.overflowX=_ad;
}
_ac.parentNode.removeChild(_ac);
for(var i=0,_ab=_a9.length;i<_ab;i++){
_a9[i]._showContent();
}
_a8.style.display="";
var _b0=2*this._borderSize;
var _b1=_ae-_b0-this._heightOffset;
var _b2=_af-_b0;
return {width:_b2,height:_b1};
},_setPanesSize:function(){
var _b3=this.getPanes();
for(var i=0,_b5=_b3.length;i<_b5;i++){
var _b6=_b3[i];
if(_b6._isPercentSize()){
var _b7=(this.isVertical())?this._getPanesAvailWidth():this._getPanesAvailHeight();
var _b8=(this.isVertical())?_b6._originalWidth:_b6._originalHeight;
var _b9=parseInt(_b8)*_b7/100;
_b9=parseInt(_b9);
_b6.setVarSize(_b9);
$telerik.repaintChildren(_b6);
}
}
if(this._containsFreeSizedPanes()){
var _ba=(this.isVertical())?this._width:this._height;
var _bb=this._getBordersSize();
var _bc=(this.isVertical())?this._getPanesAvailWidth():this._getPanesAvailHeight();
var _bd=0;
for(var i=0,_b5=_b3.length;i<_b5;i++){
var _b6=_b3[i];
if(_b6._isFixedSize()){
_bc-=_b6.getVarSize();
$telerik.repaintChildren(_b6);
}else{
if(_b6.isLocked()||(_b6.get_collapsed()&&_b6._expandedSize>0)){
continue;
}
_bd++;
}
}
var _be=_bc/_bd;
_be=parseInt(_be);
var _bf=this._getFreeSizedPanes();
for(var i=0,_b5=_bf.length;i<_b5;i++){
var _c0=_bf[i];
if(_c0.isLocked()||(_c0.get_collapsed()&&_c0._expandedSize>0)){
continue;
}
_c0.setVarSize(_be);
$telerik.repaintChildren(_c0);
}
}
},_getFreeSizedPanes:function(){
var _c1=this.getPanes();
var _c2=[];
for(var i=0,_c4=_c1.length;i<_c4;i++){
var _c5=_c1[i];
if(_c5._isFreeSize()){
_c2[_c2.length]=_c5;
}
}
return _c2;
},_getInitialFreeSizedPanes:function(){
var _c6=this.getPanes();
var _c7=[];
for(var i=0,_c9=_c6.length;i<_c9;i++){
var _ca=_c6[i];
if(_ca._isInitialFreeSize()){
_c7[_c7.length]=_ca;
}
}
return _c7;
},_getPanesVarSize:function(){
var _cb=this.getPanes();
var _cc=0;
for(var i=0,_ce=_cb.length;i<_ce;i++){
_cc+=_cb[i].getVarSize();
}
return _cc;
},_getPanesAvailWidth:function(){
var _cf=this.get_width()-this._getBordersSize();
if(this.isVertical()){
_cf-=this._getSplitBarsSize();
}
return _cf;
},_getPanesAvailHeight:function(){
var _d0=this.get_height()-this._getBordersSize();
if(!this.isVertical()){
_d0-=this._getSplitBarsSize();
}
return _d0;
},_getPanesBordersSize:function(){
var _d1=this.getPanes();
var _d2=0;
for(var i=0,_d4=_d1.length;i<_d4;i++){
if(!_d1[i].get_collapsed()){
_d2++;
}
}
return (_d2-1)*this._panesBorderSize;
},_getBordersSize:function(){
var _d5=this.getPanes();
var _d6=0;
for(var i=0,_d8=_d5.length;i<_d8;i++){
if(!_d5[i].get_collapsed()){
_d6++;
}
}
return (Math.max(_d6+this._splitBars.length-1,0))*this._panesBorderSize+this._getBordersDiff();
},_getBordersDiff:function(){
var _d9=0;
return _d9;
},_getSplitBarsSize:function(){
var _da=0;
if(this._splitBarsSizeCalculated){
return this._splitBarsSize;
}
if(this._splitBars.length>0){
var _db=0;
if(this._splitBarSize!=null){
_db=parseInt(this._splitBarSize);
}else{
var _dc=this.getSplitBarByIndex(0);
var _dd=_dc.get_element();
var _de=document.createElement("DIV");
_de.className=this.getContainerElement().className;
_de.style.position="absolute";
_de.style.top=-1000;
_de.style.left=-1000;
_de.style.width=500;
_de.style.height=500;
var _df=document.createElement("DIV");
_df.className=_dd.className;
_df.style.backgroundColor="red";
_de.appendChild(_df);
_de=document.body.appendChild(_de);
_db=(this.isVertical())?_df.offsetWidth:_df.offsetHeight;
_db-=2*this._panesBorderSize;
_db=Math.max(_db,0);
_de.parentNode.removeChild(_de);
}
_da=this._splitBars.length*_db;
}
this._splitBarsSizeCalculated=true;
this._splitBarsSize=_da;
return _da;
},_getAvailIncreaseDelta:function(_e0,_e1){
var _e2=0;
switch(this._resizeMode){
case Telerik.Web.UI.SplitterResizeMode.EndPane:
var _e3=(_e1==Telerik.Web.UI.SplitterDirection.Forward)?this.getEndPane():this.getStartPane();
_e2=_e3._getAvailIncreaseDelta();
break;
case Telerik.Web.UI.SplitterResizeMode.Proportional:
var _e4=[];
if(_e1==Telerik.Web.UI.SplitterDirection.Forward){
for(var i=_e0+1,_e6=this._panes.length;i<_e6;i++){
_e4[_e4.length]=this.getPaneByIndex(i);
}
}else{
for(var i=_e0-1;i>=0;i--){
_e4[_e4.length]=this.getPaneByIndex(i);
}
}
for(var i=0,_e6=_e4.length;i<_e6;i++){
_e2+=_e4[i]._getAvailIncreaseDelta();
}
break;
case Telerik.Web.UI.SplitterResizeMode.AdjacentPane:
default:
var _e7=this._getAvailAdjacentPane(_e0,_e1);
if(_e7==null){
return 0;
}
_e2+=_e7._getAvailIncreaseDelta();
}
_e2=Math.max(_e2,0);
return _e2;
},_getAvailAdjacentPane:function(_e8,_e9){
if((this.getPanes().length-1)==_e8){
_e9=Telerik.Web.UI.SplitterDirection.Backward;
}else{
if(_e8==0){
_e9=Telerik.Web.UI.SplitterDirection.Forward;
}
}
var _ea=(_e9==Telerik.Web.UI.SplitterDirection.Forward)?1:-1;
var _eb=_e8+_ea;
var _ec=null;
do{
_ec=this.getPaneByIndex(_eb);
if(_ec==null){
return null;
}
_eb+=_ea;
}while(_ec.get_collapsed()||_ec.isLocked());
return _ec;
},_getAvailDecreaseDelta:function(_ed,_ee){
var _ef=0;
switch(this._resizeMode){
case Telerik.Web.UI.SplitterResizeMode.EndPane:
var _f0=(_ee==Telerik.Web.UI.SplitterDirection.Forward)?this.getEndPane():this.getStartPane();
_ef=_f0._getAvailDecreaseDelta();
break;
case Telerik.Web.UI.SplitterResizeMode.Proportional:
var _f1=[];
if(_ee==Telerik.Web.UI.SplitterDirection.Forward){
for(var i=_ed+1,_f3=this._panes.length;i<_f3;i++){
_f1[_f1.length]=this.getPaneByIndex(i);
}
}else{
for(var i=_ed-1;i>=0;i--){
_f1[_f1.length]=this.getPaneByIndex(i);
}
}
for(var i=0,_f4=_f1.length;i<_f4;i++){
_ef+=_f1[i]._getAvailDecreaseDelta();
}
break;
case Telerik.Web.UI.SplitterResizeMode.AdjacentPane:
default:
var _f5=this._getAvailAdjacentPane(_ed,_ee);
if(_f5==null){
return 0;
}
_ef=_f5._getAvailDecreaseDelta();
}
_ef=Math.max(_ef,0);
return _ef;
},_collapsePane:function(_f6,_f7){
if(!_f6._initialCollapseMode){
var _f8=new Telerik.Web.UI.PaneBeforeCollapseEventArgs();
_f6.raiseEvent("beforeCollapse",_f8);
if(_f8.get_cancel()){
return false;
}
}
this._isCollapseMode=true;
if(typeof (_f7)=="undefined"){
_f7=Telerik.Web.UI.SplitterDirection.Forward;
}
var _f9=_f6.getVarSize();
if(_f9>0){
_f9+=this._panesBorderSize;
}
var _fa=this._getAvailIncreaseDelta(_f6._indexInPanes,_f7);
if(_fa<_f9){
this._isCollapseMode=false;
return false;
}
_f9*=-1;
_f6._collapse(_f7);
_f6.resize(_f9,_f7);
if(!_f6._initialCollapseMode){
_f6.raiseEvent("collapsed",new Telerik.Web.UI.PaneCollapsedEventArgs());
}
this._isCollapseMode=false;
return true;
},_expandPane:function(_fb,_fc){
if(!_fb._initialExpandMode){
var _fd=new Telerik.Web.UI.PaneBeforeExpandEventArgs();
_fb.raiseEvent("beforeExpand",_fd);
if(_fd.get_cancel()){
return false;
}
}
this._isExpandMode=true;
if(typeof (_fc)=="undefined"){
_fc=Telerik.Web.UI.SplitterDirection.Forward;
}
var _fe=_fb._expandedSize;
_fe+=this._panesBorderSize;
var _ff=this._getAvailDecreaseDelta(_fb._indexInPanes,_fc);
if(_ff<=0){
this._isExpandMode=false;
return false;
}
var _100=_fb.getVarMinSize();
if(_100>_ff){
this._isExpandMode=false;
return false;
}
var _101=Math.min(_ff,_fe);
_fb._show();
_fb.resize(_101,_fc);
_101-=this._panesBorderSize;
_fb._expand(_101);
if(!_fb._initialExpandMode){
_fb.raiseEvent("expanded",new Telerik.Web.UI.PaneExpandedEventArgs());
}
this._isExpandMode=false;
return true;
},_resizePanes:function(_102,_103,_104){
if(typeof (_104)=="undefined"){
_104=Telerik.Web.UI.SplitterDirection.Forward;
}
switch(this._resizeMode){
case Telerik.Web.UI.SplitterResizeMode.EndPane:
this._resizeEndPane(_102,_103,_104);
break;
case Telerik.Web.UI.SplitterResizeMode.Proportional:
this._resizeProportional(_102,_103,_104);
break;
case Telerik.Web.UI.SplitterResizeMode.AdjacentPane:
default:
this._resizeAdjacentPane(_102,_103,_104);
}
},_changeOriginalWidth:function(_105){
this._originalWidth=_105;
},_changeOriginalHeight:function(_106){
this._originalHeight=_106;
},_getMinMaxSize:function(_107,_108,_109,_10a){
if(!_107){
_107=0;
}
if(!_108){
_108=this._panes.length;
}
_107=Math.max(0,_107);
_108=Math.min(_108,this._panes.length);
var _10b=(_10a)?"get_width":"get_height";
var _10c=(_109)?"get_min":"get_max";
_10c+=(_10a)?"Width":"Height";
var _10d=this._getSplitBarsSize()+this._getBordersSize();
for(var i=_107;i<_108;i++){
var _10f=this.getPaneByIndex(i);
_10d+=(_10f.isLocked())?_10f[_10b]():_10f[_10c]();
}
return _10d;
},_isVisible:function(){
return (this.getContainerElement().offsetWidth!=0);
},_appLoadHandler:function(){
var _110=false;
if((this._originalWidth.toString().indexOf("%")>-1||this._originalHeight.toString().indexOf("%")>-1)&&(this._containsInitialFreeSizedPanes()||this._containsInitialPercentSizedPanes())){
_110=true;
}
var _111=this.get_element();
if(_110&&this._resizeWithBrowserWindow&&!this.isNested()){
$addHandlers(window,{"resize":this._windowResizeHandler},this);
this._resizeHandlerAttached=true;
}
if(this._isVisible()){
this._calculateInitialSize();
}
this._initializedInternal=true;
Sys.Application.remove_load(this._appLoadHandler);
this.raiseEvent("loaded");
},repaint:function(){
var self=this;
var t=function(){
if(!self._isVisible()){
return;
}
self._handlePageResize(true);
};
window.setTimeout(t,10);
},_makeVisible:function(){
if(!this._visibleDuringInit){
var _114=this.getContainerElement();
_114.style.visibility="visible";
Sys.UI.DomElement.removeCssClass(_114,"HideBordersWhileLoading");
}
var _115=this.getPanes();
for(var i=0,_117=_115.length;i<_117;i++){
var _118=_115[i]._childSplitter;
if(_118&&!_118._visibleDuringInit){
_118._makeVisible();
}
}
},_calculateInitialSize:function(){
if(this._initialSizeApplied){
return;
}
if(!this._isVisible()){
return;
}
this._setSize();
this._setPanesSize();
this._fixSplitterActualSize();
if(!this.isNested()){
this._makeVisible();
}
this._initialSizeApplied=true;
}};
Telerik.Web.UI.RadSplitter.registerClass("Telerik.Web.UI.RadSplitter",Telerik.Web.UI.RadWebControl);

